TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Coerce ( alg^pol/ord^pow PA, any f ) -> elt-alg^pol/ord^pow f2

### Description

<shortdoc> Coerces f into PA, if the coefficients of f are elements of a suiting power series ring. </shortdoc>

### Examples

x_F5:= FiniteField(5);; x_F5x:= PolynomialAlgebra(x_F5);; x_f:= x_F5x.1^2+2;; x_PR:= PowerSeriesRing(x_F5,x_f);; x_PRx:= PolynomialAlgebra(x_PR);; x_PR2:= PowerSeriesRing(x_F5);; x_PR2x:= PolynomialAlgebra(x_PR2);; x_x:= x_PR2x.1;; x_a:= Element(x_PR2,[0,2,3]);; xx_f:= x_x^2+x_a;; x_g:= Coerce(x_PRx,xx_f);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack